Инструменты пользователя

Инструменты сайта


mod_lsapi

Переход на mod_lsapi

Дорогие клиенты!
28 апреля 2018 года мы изменили модуль обработчика PHP в ваших персональных серверах Apache.
Изначально персональные веб-серверы работали в двух режимах:

  • mod_php (был известен в панели управления ISPManager как «PHP в режиме модуля Apache»
  • PHP в режиме FastCGI

При использовании модуля mod_php, на каждую версию PHP на Вашем хостинг-аккаунте, создавались отдельные экземпляры процессов Apache. Грубо говоря, если Вы использовали пять версий PHP одновременно, то запускались 5 родительских процессов Apache, которые порождали еще несколько дочерних процессов.
Такое положение дел приводило к тому, что процессы даже в простое потребляли умеренное количество памяти хостинг-аккаунта.

Переход на mod_lsapi, который в свою очередь работает с LiteSpeed PHP (LSPHP-обработчик), решает данную проблему, сокращая количество процессов и снижая потребление оперативной памяти хостинг-аккаунта в простое.

В ISPManager введена прозрачная замена mod_php на mod_lsapi, то есть это все тот же «PHP в режиме модуля Apache» и, выбирая данное значение обработчика PHP для WWW-домена, Вы можете быть уверены, что PHP будет работать через mod_lsapi.

Совместимость и возможные проблемы

Говоря о совместимости mod_php с mod_lsapi, можно отметить следующее:

  1. Полная поддержка директив php_flag, php_value в файле .htaccess.
  2. Поддержка персональных файлов php.ini для каждой из версий PHP.
  3. Все скрипты сайта запускаются от пользователя хостинг-аккаунта, нет никаких оснований менять права (chmod) на файлы и директории на более высокие.

И нам удалось выявить только одну несовместимость:

  1. Использование довольно популярной команды смены PHP-версии внутри директории AddHandler application/x-httpd-php через файл .htaccess будет приводить к использованию версии PHP по умолчанию (на всех серверах нашего хостинга версия PHP по умолчанию разная), но пользовательский файл конфигурации php.ini будет подгружаться для той версии PHP, которая выбрана для WWW-домена. Что может привести к ошибкам.

Пример.

Если Вам потребуется включить PHP для .html файлов, то это нужно делать более осторожно, чем при работе с mod_php:

  1. Определиться с версией PHP для WWW-домена. Например, Вами выбрана версия PHP 7.1.
  2. Прописать следующую команду в файл .htaccess:

AddHandler application/x-lsphp71 .html

Только действуя таким образом, можно говорить о корректной работе PHP в файлах .html.
Мы настоятельно не рекомендуем менять версию PHP «налету» с помощью команды AddHandler внутри docroot-директории WWW-домена, но для включения PHP в работе с другими расширениями (например: .html, .htm) данная команда очень актуальна.

Список обработчиков

Ниже представлен список обработчиков PHP, точнее их MIME-типы.
Данная информация может Вам пригодится в процессе работы с хостингом:

  • application/x-lsphp53
  • application/x-lsphp54
  • application/x-lsphp55
  • application/x-lsphp56
  • application/x-lsphp70
  • application/x-lsphp71
  • application/x-lsphp72
  • application/x-httpd-php (ВЕРСИЯ PHP по умолчанию на сервере, НЕ РЕКОМЕНДУЕТСЯ к использованию)

Проверьте Ваши файлы .htaccess на наличие команд AddHandler application/x-httpd-php — наличие этой команды может вызвать проблемы в работе сайта. Если Вы имеете какие-либо проблемы связанные с данным обновлением или имеете вопросы, пожалуйста, обратитесь в техническую поддержку.

mod_lsapi.txt · Последние изменения: 2018/05/01 14:53 — lealhost